Page MenuHomePhabricator

Set up “L” as an alias for the “Lexeme” namespace
Closed, ResolvedPublic

Description

A L shortcut for the Lexeme namespace would be useful, just like the P shortcut for Property, so that you can use [[L:L123]] to link to a lexeme just like you can use [[P:P123]] to link to a property. This was suggested by @revi on Wikidata talk:Lexicographical data#Template:L.

For reference, the task for the “P” alias was T47079, and it was added in I480fa8e66b.

This should also work when searching, e.g. Special:Search/l: test as Special:Search/p: test.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2018, 3:15 PM
abian added a subscriber: abian.May 24 2018, 4:07 PM
Ltrlg added a subscriber: Ltrlg.Jun 7 2018, 7:00 PM
Esc3300 updated the task description. (Show Details)
Vvjjkkii renamed this task from Set up “L” as an alias for the “Lexeme” namespace to yccaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from yccaaaaaaa to Set up “L” as an alias for the “Lexeme” namespace.Jul 2 2018, 1:20 PM
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Ladsgroup claimed this task.Jul 3 2018, 3:53 PM
Ladsgroup added a subscriber: Ladsgroup.

I'll do it tomorrow.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJul 3 2018, 3:53 PM
daniel removed a subscriber: daniel.Jul 3 2018, 5:11 PM

Change 443937 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Add "L" as an alias of Lexeme namespace in wikidata

https://gerrit.wikimedia.org/r/443937

Change 443937 merged by jenkins-bot:
[operations/mediawiki-config@master] Add "L" as an alias of Lexeme namespace in wikidata

https://gerrit.wikimedia.org/r/443937

Mentioned in SAL (#wikimedia-operations) [2018-07-05T18:14:44Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:443937|Add "L" as an alias of Lexeme namespace in wikidata]] T195493 (duration: 00m 59s)

Lydia_Pintscher closed this task as Resolved.Aug 1 2018, 8:45 AM
Lydia_Pintscher moved this task from Needs Announcement to Done on the Wikidata-Campsite board.